Bug 258423 - x11/libxkbcommon: update to 1.3.1
Summary: x11/libxkbcommon: update to 1.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL: https://lists.freedesktop.org/archive...
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2021-09-11 08:52 UTC by Jan Beich
Modified: 2021-09-15 17:35 UTC (History)
1 user (show)

See Also:
zeising: maintainer-feedback+


Attachments
v1 (1.31 KB, patch)
2021-09-11 08:52 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-09-11 08:52:22 UTC
Created attachment 227826 [details]
v1

Tested via sway + foot + firefox, etc. Curiously, the only consumer x11@ maintains is graphics/piglit but no one holds the majority.

For vanity ranking run:

$ git grep -Fl :x11/libxkbcommon |
 sed 's,/Makefile,,' |
 xargs -P20 -I% make -V MAINTAINER -C % |
 sort | uniq -c | sort -r | head
Comment 1 Niclas Zeising freebsd_committer 2021-09-15 08:37:55 UTC
LGTM
Comment 2 commit-hook freebsd_committer 2021-09-15 17:19:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=396101a7b424e2b4c29af35718ec8ec982891fa4

commit 396101a7b424e2b4c29af35718ec8ec982891fa4
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-09-10 19:53:38 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-09-15 17:17:22 +0000

    x11/libxkbcommon: update to 1.3.1

    Changes:        https://lists.freedesktop.org/archives/wayland-devel/2021-September/041976.html
    PR:             258423
    Approved by:    zeising

 x11/libxkbcommon/Makefile | 2 +-
 x11/libxkbcommon/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)